int sensor;
int frekvens;

int sensorMin = 1023;
int sensorMax = 0;

const int ledPin = 13;
const int sensorPin = A0;
const int buzzerPin = 8;

void setup() {

  pinMode(ledPin, OUTPUT);

  /*
  Kalibrera sensorn under 5 sekunder:
  Rör handen upp och ner ovanför sensorn.
  Detta område blir "spelområdet".
  */
  
  // Tänd lysdioden så att vi vet att vi kalibrerar
  digitalWrite(ledPin, HIGH);

  while (millis() < 5000) {
    sensor = analogRead(sensorPin);
  
    // Hitta största värdet
    if (sensor > sensorMax) {
      sensorMax = sensor;
    }
  
    // Hitta minsta värdet
    if (sensor < sensorMin) {
      sensorMin = sensor;
    }
  }
  
  // Släck ljusdioden eftersom kalibreringen är klar.
  digitalWrite(ledPin, LOW);
  
}

void loop() {

  sensor = analogRead(sensorPin);

  frekvens = map(sensor, sensorMin, sensorMax, 50, 3000);

  tone(buzzerPin, frekvens, 20);

  delay(20);  
}
